Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
newssearch.php File Reference

Go to the source code of this file.

## Variables
| $ini = eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZNewsFeedMain", "Language" )
| $t
| $news = new eZNews()
if(isset( $URLQueryString)) | $newsList =& $news->search( $SearchText, true, $Offset, $Limit )
| $newsListCount =& $news->searchCount( $SearchText, true )
| $locale = new eZLocale( $Language )
| $i =0
| $prevOffs = $Offset - $Limit
| $nextOffs = $Offset + $Limit
if( $prevOffs >=0) | else

## Variable Documentation

## ◆ $i

$i =0

Definition at line 73 of file newssearch.php.

## ◆ $ini

$ini = eZINI::instance( 'site.ini' )

Definition at line 34 of file newssearch.php.

## ◆ $Language

$Language = $ini->variable( "eZNewsFeedMain", "Language" )

Definition at line 36 of file newssearch.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 72 of file newssearch.php.

## ◆ $news

$news = new eZNews()

Definition at line 55 of file newssearch.php.

## ◆ $newsList

if (isset($URLQueryString)) $newsList =& $news->search( $SearchText, true, $Offset, $Limit )

Definition at line 68 of file newssearch.php.

Referenced by eZNewsImporter\importNews().

## ◆ $newsListCount

$newsListCount =& $news->searchCount( $SearchText, true )

Definition at line 69 of file newssearch.php.

## ◆ $nextOffs

$nextOffs = $Offset + $Limit

Definition at line 115 of file newssearch.php.

## ◆ $prevOffs

$prevOffs = $Offset - $Limit

Definition at line 114 of file newssearch.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eznewsfeed/admin/" . $ini->variable( "eZNewsFeedMain", "TemplateDir" ),
"kernel/eznewsfeed/admin/intl/", $Language, "newssearch.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: newssearch.php:36
$ini
$ini
Definition: newssearch.php:34

Definition at line 38 of file newssearch.php.

## ◆ else

if ($nextOffs<=$newsListCount) else

Initial value:
{
$t->set_var( "previous", "" )
$t
$t
Definition: newssearch.php:38

Definition at line 122 of file newssearch.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.